unit About;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls,  StdCtrls, ComCtrls, jpeg, ShellAPI;

type
  TAboutForm = class(TForm)
    Shape1: TShape;
    Shape2: TShape;
    Shape3: TShape;
    Image1: TImage;
    LbOK: TLabel;
    Shape4: TShape;
    Memo: TMemo;
    Shape5: TShape;
    Shape6: TShape;
    LbAbout: TLabel;
    LbLic: TLabel;
    PanelAbout: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    LbSite: TLabel;
    LbMail: TLabel;
    procedure PanelOKClick(Sender: TObject);
    procedure LbOKMouseEnter(Sender: TObject);
    procedure LbOKMouseLeave(Sender: TObject);
    procedure LbOKClick(Sender: TObject);
    procedure LbAboutMouseEnter(Sender: TObject);
    procedure LbAboutMouseLeave(Sender: TObject);
    procedure LbLicMouseLeave(Sender: TObject);
    procedure LbLicMouseEnter(Sender: TObject);
    procedure LbAboutClick(Sender: TObject);
    procedure LbLicClick(Sender: TObject);
    procedure LbSiteMouseEnter(Sender: TObject);
    procedure LbSiteMouseLeave(Sender: TObject);
    procedure LbMailMouseEnter(Sender: TObject);
    procedure LbMailMouseLeave(Sender: TObject);
    procedure LbSiteClick(Sender: TObject);
    procedure LbMailClick(Sender: TObject);
  end;

var
  AboutForm: TAboutForm;

implementation

{$R *.dfm}

procedure TAboutForm.PanelOKClick(Sender: TObject);
begin
Self.Close;
end;

procedure TAboutForm.LbOKMouseEnter(Sender: TObject);
begin
LbOK.Color:=clCream;
end;

procedure TAboutForm.LbOKMouseLeave(Sender: TObject);
begin
LbOK.Color:=clWhite;
end;

procedure TAboutForm.LbOKClick(Sender: TObject);
begin
AboutForm.Close;
end;

procedure TAboutForm.LbAboutMouseEnter(Sender: TObject);
begin
LbAbout.Color:=clCream;
end;

procedure TAboutForm.LbAboutMouseLeave(Sender: TObject);
begin
LbAbout.Color:=clWhite;
end;

procedure TAboutForm.LbLicMouseLeave(Sender: TObject);
begin
LbLic.Color:=clWhite;
end;

procedure TAboutForm.LbLicMouseEnter(Sender: TObject);
begin
LbLic.Color:=clCream;
end;

procedure TAboutForm.LbAboutClick(Sender: TObject);
begin
PanelAbout.Show;
end;

procedure TAboutForm.LbLicClick(Sender: TObject);
begin
PanelAbout.Hide;
end;

procedure TAboutForm.LbSiteMouseEnter(Sender: TObject);
begin
LbSite.Font.Color:=clMaroon;
end;

procedure TAboutForm.LbSiteMouseLeave(Sender: TObject);
begin
LbSite.Font.Color:=clBlack;
end;

procedure TAboutForm.LbMailMouseEnter(Sender: TObject);
begin
LbMail.Font.Color:=clMaroon;
end;

procedure TAboutForm.LbMailMouseLeave(Sender: TObject);
begin
LbMail.Font.Color:=clBlack;
end;

procedure TAboutForm.LbSiteClick(Sender: TObject);
begin
ShellExecute(0,'open','http://www.vampyre.wz.cz',nil,nil,SW_SHOW);
end;

procedure TAboutForm.LbMailClick(Sender: TObject);
begin
ShellExecute(0,'open','mailto: help@vampyre.wz.cz',nil,nil,SW_SHOW);
end;

end.
